function parseTime(time, format) {
  if (!time) {
    return '0000-00-00 00:00:00'
  }

  format = format || 'y-m-d h:i:s'

  var date = time instanceof Date ? time : new Date(parseInt(time, 10))

  var formatObj = {
    y: date.getFullYear(),
    m: date.getMonth() + 1,
    d: date.getDate(),
    h: date.getHours(),
    i: date.getMinutes(),
    s: date.getSeconds(),
    a: date.getDay()
  }

  return format.replace(/(y|m|d|h|i|s|a)+/gi, function(match, p1) {
    p1 = p1.toLowerCase()
    var value = formatObj[p1]

    if (match.length > 0 && value < 10) {
      value = '0' + value
    }

    return value || (p1 === 'y' ? '0000' : '00')
  })
}

function formatTime(time, format, force) {
  force = force || false
  var then = time instanceof Date ? Math.floor(time.getTime() / 1000) : parseInt(time, 10)
  var now = Date.now() / 1000
  var diff = now - then

  if (force) {
    return parseTime(then * 1000, format)
  }

  if (diff < 60) {
    return '刚刚'
  } else if (diff < 3600) {
    return  Math.floor(diff / 60) + '分钟前'
  } else if (diff < 3600 * 24) {
    return  Math.floor(diff / 3600) + '小时前'
  } else if (diff < 3600 * 24 * 2) {
    return '一天前'
  } else {
    return parseTime(then * 1000, format)
  }
}

/*为图片增加七牛后缀*/
// function addQiniuQuery(url, query) {
//     if (url.indexOf('qlogo') < 0 && url.indexOf('graphics') < 0) {
//         return url + query;
//     } else {
//         return url;
//     }
// }

/*把src替换成data-src*/
function replaceSrc(str) {
    return str.replace(/< ?img(.*?) src=['"](.*?)['"](.*?)>/gi,
        '<img$1 src="./image/default_banner.png" class="content-img" data-src="$2"$3>');
}

function removeWebP(url) {
  if (url.indexOf('tp=webp') !== -1) url = url.split("?")[0]
  return url
}

